"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDialogSelectStyles = void 0;
const styles_1 = require("@mui/styles");
exports.useDialogSelectStyles = (0, styles_1.makeStyles)((theme) => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w;
    return (0, styles_1.createStyles)({
        dialogContent: {
            overflow: "hidden",
            display: "flex",
        },
        selectButton: {},
        search: {
            background: (_b = (_a = theme.palette) === null || _a === void 0 ? void 0 : _a.background) === null || _b === void 0 ? void 0 : _b.default,
            boxShadow: (_c = theme.shadows) === null || _c === void 0 ? void 0 : _c[1],
            width: "100%",
            maxWidth: "unset",
            "&:hover": {
                background: (_e = (_d = theme.palette) === null || _d === void 0 ? void 0 : _d.background) === null || _e === void 0 ? void 0 : _e.default,
            },
        },
        list: {
            overflow: "auto",
            maxHeight: "600px",
            width: "100%",
            marginBottom: (_f = theme.spacing) === null || _f === void 0 ? void 0 : _f.call(theme, 2),
        },
        paper: {
            background: (_h = (_g = theme.palette) === null || _g === void 0 ? void 0 : _g.background) === null || _h === void 0 ? void 0 : _h.default,
            overflow: "hidden",
        },
        dialogTitle: {
            display: "flex",
            "& > h2": {
                display: "flex",
                flexGrow: 1,
            },
        },
        searchRoot: {
            flexGrow: 1,
            padding: "2px 4px",
            display: "flex",
            alignItems: "center",
            minWidth: 400,
        },
        input: {
            marginLeft: (_j = theme.spacing) === null || _j === void 0 ? void 0 : _j.call(theme, 1),
            flex: 1,
        },
        iconButton: {
            padding: 10,
        },
        divider: {
            height: 28,
            margin: 4,
        },
        emptyState: {
            display: "block",
            textAlign: "center",
            margin: (_k = theme.spacing) === null || _k === void 0 ? void 0 : _k.call(theme, 3, 2),
        },
        emptyStateIcon: {
            display: "flex",
            margin: (_l = theme.spacing) === null || _l === void 0 ? void 0 : _l.call(theme, 1.5, "auto"),
            width: 100,
            height: 100,
            borderRadius: 100,
            background: (_o = (_m = theme.palette) === null || _m === void 0 ? void 0 : _m.background) === null || _o === void 0 ? void 0 : _o.default,
            justifyContent: "center",
            alignItems: "center",
            "& > svg": {
                width: 70,
                height: 70,
                fill: (_p = theme.palette) === null || _p === void 0 ? void 0 : _p.grey[400],
            },
        },
        noValuePlaceholder: {
            color: (_r = (_q = theme.palette) === null || _q === void 0 ? void 0 : _q.text) === null || _r === void 0 ? void 0 : _r.secondary,
        },
        actions: {
            background: (_t = (_s = theme.palette) === null || _s === void 0 ? void 0 : _s.background) === null || _t === void 0 ? void 0 : _t.paper,
            boxShadow: (_u = theme.shadows) === null || _u === void 0 ? void 0 : _u[1],
            borderTop: `1px solid ${(_v = theme.palette) === null || _v === void 0 ? void 0 : _v.grey[300]}`,
            overflow: "visible",
        },
        disabled: {
            backgroundColor: (_w = theme.palette) === null || _w === void 0 ? void 0 : _w.grey[200],
        },
        inputColors: ({ primaryColor, primaryTextColor, primaryHoverColor, primaryHoverTextColor, }) => (Object.assign(Object.assign(Object.assign({}, (primaryColor && { backgroundColor: primaryColor })), (primaryTextColor && { color: primaryTextColor })), { "&:hover": Object.assign(Object.assign({}, (primaryHoverColor && { backgroundColor: primaryHoverColor })), (primaryHoverTextColor && { color: primaryHoverTextColor })) })),
        checkboxColors: ({ primaryColor }) => (Object.assign({}, (primaryColor && { color: primaryColor }))),
    });
}, { index: 1 });
//# sourceMappingURL=styles.js.map