/// <reference types="react" />
import { FiltersType, TableColumnProps } from "../types";
export interface TableColumnFilterProps<T> {
    columns: TableColumnProps<T>[];
    onChange: (date: string | string[] | null, column: TableColumnProps<T>, isStartDate?: boolean) => void;
    filters: FiltersType<T>;
    classes: Record<string, string>;
    hasActions: boolean;
}
export declare const TableColumnFilter: <T>({ columns, onChange, filters, classes, hasActions, }: TableColumnFilterProps<T>) => JSX.Element;
